
From: Pavel Machek <pavel@ucw.cz>

This fixes u32 vs. pm_message_t in drivers/message.

Signed-off-by: Pavel Machek <pavel@suse.cz>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/message/fusion/mptbase.c  |    2 +-
 25-akpm/drivers/message/fusion/mptbase.h  |    2 +-
 25-akpm/drivers/message/fusion/mptscsih.c |    4 ++--
 3 files changed, 4 insertions(+), 4 deletions(-)

diff -puN drivers/message/fusion/mptbase.c~fix-u32-vs-pm_message_t-in-drivers-message drivers/message/fusion/mptbase.c
--- 25/drivers/message/fusion/mptbase.c~fix-u32-vs-pm_message_t-in-drivers-message	2005-04-02 13:37:00.000000000 -0800
+++ 25-akpm/drivers/message/fusion/mptbase.c	2005-04-02 13:37:00.000000000 -0800
@@ -1429,7 +1429,7 @@ mptbase_shutdown(struct device * dev)
  *
  */
 static int
-mptbase_suspend(struct pci_dev *pdev, u32 state)
+mptbase_suspend(struct pci_dev *pdev, pm_message_t state)
 {
 	u32 device_state;
 	MPT_ADAPTER *ioc = pci_get_drvdata(pdev);
diff -puN drivers/message/fusion/mptbase.h~fix-u32-vs-pm_message_t-in-drivers-message drivers/message/fusion/mptbase.h
--- 25/drivers/message/fusion/mptbase.h~fix-u32-vs-pm_message_t-in-drivers-message	2005-04-02 13:37:00.000000000 -0800
+++ 25-akpm/drivers/message/fusion/mptbase.h	2005-04-02 13:37:00.000000000 -0800
@@ -215,7 +215,7 @@ struct mpt_pci_driver{
 	void (*shutdown) (struct device * dev);
 #ifdef CONFIG_PM
 	int  (*resume) (struct pci_dev *dev);
-	int  (*suspend) (struct pci_dev *dev, u32 state);
+	int  (*suspend) (struct pci_dev *dev, pm_message_t state);
 #endif
 };
 
diff -puN drivers/message/fusion/mptscsih.c~fix-u32-vs-pm_message_t-in-drivers-message drivers/message/fusion/mptscsih.c
--- 25/drivers/message/fusion/mptscsih.c~fix-u32-vs-pm_message_t-in-drivers-message	2005-04-02 13:37:00.000000000 -0800
+++ 25-akpm/drivers/message/fusion/mptscsih.c	2005-04-02 13:37:00.000000000 -0800
@@ -220,7 +220,7 @@ static int  mptscsih_probe (struct pci_d
 static void mptscsih_remove(struct pci_dev *);
 static void mptscsih_shutdown(struct device *);
 #ifdef CONFIG_PM
-static int mptscsih_suspend(struct pci_dev *pdev, u32 state);
+static int mptscsih_suspend(struct pci_dev *pdev, pm_message_t state);
 static int mptscsih_resume(struct pci_dev *pdev);
 #endif
 
@@ -1389,7 +1389,7 @@ mptscsih_shutdown(struct device * dev)
  *
  */
 static int
-mptscsih_suspend(struct pci_dev *pdev, u32 state)
+mptscsih_suspend(struct pci_dev *pdev, pm_message_t state)
 {
 	mptscsih_shutdown(&pdev->dev);
 	return 0;
_
